<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title align="center">
      {{title}}
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content  class="content_general">
  <div>
    <div style="background-color:white;">
      <!-- criando o botão do segmento-->
      <ion-segment [(ngModel)]="segment">
        <ion-segment-button value="single">
          {{textsinglebookingsegment}}
        </ion-segment-button>
        <ion-segment-button value="periodic">
          {{textperiodicbookingsegment}}
        </ion-segment-button>

      </ion-segment>
    </div>

    <div [ngSwitch]="segment" class="content_general">

      <div *ngSwitchCase="'single'">
        <ion-refresher (ionRefresh)="doRefresh($event)">

          <ion-refresher-content
            pullingIcon="arrow-dropdown"
              pullingText={{massage_refresh_pull_text}}
              refreshingSpinner="circles"
              refreshingText={{massage_refresh_refreshing_text}}>
            </ion-refresher-content>

       </ion-refresher>
        <div *ngFor="let booking of listSingleBooking ; let i = index">
          <ion-card>
            <ion-card-header>
              {{booking.get_viagem().get_linha()}}
            </ion-card-header>
            <ion-card-content>
              <ion-row>
                <ion-col>
                  {{textsingledate}} :
                </ion-col>

                <ion-col>
                {{booking.get_data()}}
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                  {{textsinglseat}} :
                </ion-col>

                <ion-col>
                  {{booking.get_assento().get_nome()}}
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                  {{textdeparturetime}} :
                </ion-col>

                <ion-col>
                <button ion-button round outline>{{booking.get_viagem().get_horario_partida()}}</button>
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                  {{textarrivaltime}} :
                </ion-col>

                <ion-col>
                 <button ion-button round outline>{{booking.get_viagem().get_horario_chegada()}} </button>
                </ion-col>
              </ion-row>

              <ion-row text-center>
                <ion-col col-auto>
                  <button ion-button (click)="editSigleBooking(i,booking)"> <ion-icon name="create"> </ion-icon> </button>
                </ion-col>

                <ion-col col-auto>
                 <button ion-button color="danger" (click)="deleteSingleBooking(i,booking)"> <ion-icon name="trash"> </ion-icon> </button>
                </ion-col>
              </ion-row>

            </ion-card-content>
          </ion-card>
        </div>
      </div>

      <div *ngSwitchCase="'periodic'">
        <div *ngFor="let booking of listPeriodicBooking; let i = index">
          <ion-card>
            <ion-card-header>
              {{booking.get_viagem().get_linha()}}
            </ion-card-header>

            <ion-card-content>
              <ion-row>
                <ion-col>
                  {{textperiodicinitialdate}} :
                </ion-col>

                <ion-col>
                {{booking.get_data_inicial()}}
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                  {{textperiodicfinaldate}} :
                </ion-col>

                <ion-col>
                 {{booking.get_data_final()}}
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                  {{textdeparturetime}} :
                </ion-col>

                <ion-col>
                <button ion-button round outline>{{booking.get_viagem().get_horario_partida()}}</button>
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                  {{textarrivaltime}} :
                </ion-col>

                <ion-col>
                 <button ion-button round outline>{{booking.get_viagem().get_horario_chegada()}} </button>
                </ion-col>
              </ion-row>

              <ion-row text-center>
                <ion-col col-auto>
                  <button ion-button (click)="editPeriodicBooking(booking)"> <ion-icon name="create"> </ion-icon> </button>
                </ion-col>

                <ion-col col-auto>
                 <button ion-button color="danger" (click)="deletePeriodicBooking(i,booking)"> <ion-icon name="trash"> </ion-icon> </button>
                </ion-col>
              </ion-row>


           </ion-card-content>
          </ion-card>
        </div>
      </div>
    </div>
  </div>
</ion-content>
